<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition
        xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns:a4j="http://richfaces.org/a4j"
        xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:param name="ID" value="CT"/>
	<ui:define name="body">
		<script type="text/javascript">
		var timeNow;
		function tS(){
		     x=new Date();
		     x.setTime(x.getTime());
			timeNow = x;
		     return x;
		 }

		 function lZ(x){
		     return (x&gt;9)?x:'0'+x;
		 }

		 function l2Z(x){
		     return (x&gt;99)?x:((x&gt;9)?'0' + x:'00' + x);
		 }

		 function dT(){
		     document.getElementById("spanDate").innerHTML =  eval(oT);
		     setTimeout('dT()',1000);
		 }

		 function getOffset(dat){
			 var offset = dat.getTimezoneOffset();
			 offset = ((offset &lt; 0? '+':'-')+ // Note the reversed sign!
			           pad(parseInt(Math.abs(offset/60)), 2)+
			           pad(Math.abs(offset%60), 2));
	         return offset;
		}

		function pad(number, length){
		    var str = "" + number;
		    while (str.length &lt; length) {
		        str = '0'+str;
		    }
		    return str;
		}
		 var fr=0;
		 
		 oT="tS().getFullYear() + '-' + (timeNow.getMonth()+1) + '-' + timeNow.getDate() + ' ' + timeNow.getHours()+':'+lZ(timeNow.getMinutes())+':'+lZ(timeNow.getSeconds())+ '.' + l2Z(timeNow.getMilliseconds()) + getOffset(timeNow)";
		 </script>
		<h1>#{messages['net.ihe.gazelle.xdstar.ConsistentTimeTest']}</h1>
		<h:form id="form">
			<gri:panel id="globalPanel">
				<f:facet name="header">#{messages['net.ihe.gazelle.xdstar.ConsistentTimeTest']}</f:facet>
				<h:outputText
					value="#{messages['net.ihe.gazelle.xdstar.TheAimOfThisPageIsToVerifyThatTheClientBrowserAn']}" />
				<br />
				<h:outputText
					value="#{messages['net.ihe.gazelle.xdstar.AccordingToIHEITI1TransactionFromTheConsistentTi']}" />
				<s:decorate template="/layout/display/_display.xhtml">
					<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.HostName']}</ui:define>
					<h:outputText value="#{CTManager.hostName}" />
				</s:decorate>
				<s:decorate template="/layout/display/_display.xhtml">
					<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.IPAdress']}</ui:define>
					<h:outputText value="#{CTManager.ipAdress}" />
				</s:decorate>
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.CurrentTimeOfTheClient']} "
					style="font-weight:bold;" />
				<span id="spanDate" />
				<script>dT();</script>
				<br />
				<a4j:commandButton id="GenCommandButon" value="#{messages['net.ihe.gazelle.xdstar.TestWithTheServer']}" styleClass="gzl-btn-blue"
					actionListener="#{CTManager.setRenderTestResult(true)}"
					render="testResult" />
				<s:div id="testResult">
					<br />
					<br />
					<gri:panel rendered="#{CTManager.renderTestResult}">
						#{CTManager.testWithServer()}
						<h:panelGrid columns="3" border="2" cellpadding="5" rendered="#{CTManager.renderTestResult}">
					 		<h:outputText style="font-weight:bold;" value="#{messages['net.ihe.gazelle.xdstar.CurrentTimeOfTheClientBrowser']}" />
					 		<h:outputText style="font-weight:bold;" value="#{messages['net.ihe.gazelle.xdstar.CurrentTimeOnXDStarClientServer']}" />
					 		<h:outputText style="font-weight:bold;" value="#{messages['net.ihe.gazelle.xdstar.Difference']}" />
					 		<s:span id="spanClient">
						 		<s:decorate template="/layout/display/_display.xhtml" id="timeClient">
									<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.TimeClient']}</ui:define>
									<s:span id="spanDate2">
										<script>document.getElementById("form:timeClient:spanDate2").innerHTML  = tS().getFullYear() + '-' + (timeNow.getMonth()+1) + '-' + timeNow.getDate() + ' ' + timeNow.getHours()+':'+lZ(timeNow.getMinutes())+':'+lZ(timeNow.getSeconds()) + '.' + l2Z(timeNow.getMilliseconds()) + getOffset(timeNow)</script>
									</s:span>
								</s:decorate>
								<s:decorate template="/layout/display/_display.xhtml" id="timestampClient">
									<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Timestamp']}</ui:define>
									<s:div id="timestamp1">
										<script>document.getElementById("form:timestampClient:timestamp1").innerHTML  = timeNow.getTime()</script>
									</s:div>
								</s:decorate>
							</s:span>
							<s:span id="spanServer">
								<s:decorate template="/layout/display/_display.xhtml">
									<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.TimeServer']}</ui:define>
									<h:outputText value="#{CTManager.serverTime}">
										<s:convertDateTime type="time" pattern="yyyy-M-dd HH:mm:ss.SSSZ" />
									</h:outputText>
								</s:decorate>
								<s:decorate template="/layout/display/_display.xhtml" id="timestampServer">
									<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Timestamp']}</ui:define>
									<h:outputText id="timestamp2" value="#{CTManager.serverTime.time}" />
								</s:decorate>
							</s:span>
							<s:div>
								<h:outputText id="diff" />
								<script>document.getElementById("form:diff").innerHTML  = 
									document.getElementById("form:timestampClient:timestamp1").innerHTML-document.getElementById("form:timestampServer:timestamp2").innerHTML</script> 
								<h:outputText value=" (#{messages['net.ihe.gazelle.xdstar.Ms']})" />
							</s:div>
					 	</h:panelGrid>

						<a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.Refresh']}" render="testResult" styleClass="gzl-btn-blue" />

					</gri:panel>
				</s:div>
			</gri:panel>
		</h:form>
	</ui:define>
</ui:composition>
